import axios from '@/libs/axios.js';
// 根据字典code查询选项
export const getLookUpDatas = (params) => {
  return axios.request({
    url: `lookup/findByLookup/${params.type}`,
    method: 'get'
  })
}

// 查询所有数据字典
export const listLookUp = (params) => {
  let url = `lookup/findAll`
  return axios.request({
    url: url,
    method: 'post'
  }).then(res => res)
}

// 预约保存
export const userInfoSave = (params) => {
  return axios.request({
    url: `reserve/user/info/saveMould`,
    method: 'post',
	data:params
  })
}
// 用户信息保存
export const yuyueInfoSave = (params) => {
  return axios.request({
    url: `reserve/save`,
    method: 'post',
	data:params
  })
}

// 查询用户信息
export const userDetail = (params) => {
  return axios.request({
    url: `reserve/user/info/findNewMould`,
    method: 'get',
  })
}